# H323_H224_HDLCTunnelingCapability Class Reference

`#include <h323h224.h>`

Inheritance diagram for H323_H224_HDLCTunnelingCapability:

[legend]
Collaboration diagram for H323_H224_HDLCTunnelingCapability:
[legend]

## Public Member Functions

| H323_H224_HDLCTunnelingCapability ()
| ~H323_H224_HDLCTunnelingCapability ()
Comparison | Compare (const PObject &obj) const
virtual PObject * | Clone () const
virtual unsigned | GetSubType () const
virtual PString | GetFormatName () const
virtual H323Channel * | CreateChannel (H323Connection &connection, H323Channel::Directions direction, unsigned int sessionID, const H245_H2250LogicalChannelParameters *params) const
virtual PBoolean | OnSendingPDU (H245_DataApplicationCapability &pdu) const
virtual PBoolean | OnSendingPDU (H245_DataMode &pdu) const
virtual PBoolean | OnReceivedPDU (const H245_DataApplicationCapability &pdu)

## Detailed Description

This class describes the H.224 capability, using the HDLC tunneling mode

## Constructor & Destructor Documentation

H323_H224_HDLCTunnelingCapability::H323_H224_HDLCTunnelingCapability | ( |  | ) |

H323_H224_HDLCTunnelingCapability::~H323_H224_HDLCTunnelingCapability | ( |  | ) |

## Member Function Documentation

virtual PObject* H323_H224_HDLCTunnelingCapability::Clone | ( |  | ) | const`[virtual]`

Comparison H323_H224_HDLCTunnelingCapability::Compare | ( | const PObject & | obj | ) | const

Compare two capability instances. This compares the main and sub-types of the capability.

Reimplemented from H323Capability.

virtual H323Channel* H323_H224_HDLCTunnelingCapability::CreateChannel | ( | H323Connection & | connection,
|  | H323Channel::Directions | direction,
|  | unsigned int | sessionID,
|  | const H245_H2250LogicalChannelParameters * | params |
| ) |  |  | const`[virtual]`

virtual PString H323_H224_HDLCTunnelingCapability::GetFormatName | ( |  | ) | const`[virtual]`

Get the name of the media data format this class represents.

Implements H323Capability.

virtual unsigned H323_H224_HDLCTunnelingCapability::GetSubType | ( |  | ) | const`[virtual]`

Get the sub-type of the capability. This is a code dependent on the main type of the capability.

Implements H323Capability.

virtual PBoolean H323_H224_HDLCTunnelingCapability::OnReceivedPDU | ( | const H245_DataApplicationCapability & | pdu | ) | `[virtual]`

This function is called whenever and incoming TerminalCapabilitySet or OpenLogicalChannel PDU has been used to construct the control channel. It allows the capability to set from the PDU fields, information in members specific to the class.

The default behaviour is pure.

Reimplemented from H323DataCapability.

virtual PBoolean H323_H224_HDLCTunnelingCapability::OnSendingPDU | ( | H245_DataMode & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing RequestMode PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour sets the PDUs tag according to the GetSubType() function (translated to different enum).

Implements H323DataCapability.

virtual PBoolean H323_H224_HDLCTunnelingCapability::OnSendingPDU | ( | H245_DataApplicationCapability & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing TerminalCapabilitySet or OpenLogicalChannel PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour is pure.

Reimplemented from H323DataCapability.

The documentation for this class was generated from the following file:

- h323h224.h